## maint-guide 1.2.26

=== Makefile ===
##############################################################################
# Makefile for the Debian New Maintainers' Guide
##############################################################################

# Note: This Makefile should work perfectly without the debian/ directory.

# Required packages for building documentation source
# basic:		xsltproc, docbook-xsl (These are dependency of dblatex)
# i18n:			po4a
# plain text conv.:	w3m
# pdf via latex:	dblatex, ghostscript, lmodern, latex-cjk-all, texlive-lang-*
# pdf via xmlroff:	xmlroff, (ttf-font-packages)

##############################################################################
# Package specific customization
##############################################################################
# package name
MANUAL		:= maint-guide
# common inclusion entity files (excluding version)
COMMON_ENT	:= common.ent
# format to be built
FORMATS		:= html txt pdf
# languages supported by direct DocBook files (always: en)
LANGS_EN	:= en
# languages supported by translation PO files
LANGS_PO	:= ca de es fr it ja zh-cn zh-tw
# all languages to build
LANGS		:= $(LANGS_EN) $(LANGS_PO)
# local script file directory
SCRIPT		:= script
# translation contents directory such as PO file
PO4A		:= po4a
# The translation threshold percent should be 80, if translation is completed.
THRESHOLD	:= 0
# XSLT (Extensible Stylesheet Language Transformations) file directory
XSLT		:= xslt
# manual publish directory
ifeq ($(PUBLISHDIR),)
# local test build
MANUALDIR	:= $(CURDIR)/html
else
# www-master.debian.org build script.
MANUALDIR       := $(abspath $(PUBLISHDIR)/$(MANUAL))
endif
# CSS (Cascading Style Sheets) file
CSS		:= $(MANUAL).css
# Image files
IMAGES		:= caution.png home.gif important.png next.gif note.png prev.gif tip.png up.gif warning.png draft.png 
IMAGESSRC	:= /usr/share/xml/docbook/stylesheet/nwalsh/images
IMAGESDIR	:= $(MANUALDIR)/images

# install
install_file	:= install -p -m 664
install_dir	:= install -d -m 2775

##############################################################################
# PO update
##############################################################################
# Usually, POMODE =  update|static
POMODE	:= static

##############################################################################
# PDF build tool customization for each lunguage
##############################################################################
# dblatex is used as the default PDF build tool
# The curent customization follows the release-notes package.
#
# No PDF build for these lunguages
LANGS_NOPDF		:= 
# PDF build using xmloff with cairo backend for these lunguages 
# This does not create output as good as one created via default dblatex
# but this can build CJK documents without build failures.
#	candidates: be pl zh-cn zh-tw
LANGS_XMLROFF_CAIRO	:= ja zh-cn zh-tw
# PDF build using xmloff with gp backend for these lunguages (deprecated)
#	candidates: ja ml vi
LANGS_XMLROFF_GP	:=
# languages with pdf using fop package (not implimented)

##############################################################################
# build tool customization for debug etc.
##############################################################################
XP		:= xsltproc --nonet --novalid --xinclude
XL		:= xmllint --nonet --noout --postvalid --xinclude
# Set $(DEBUG) to activate debug mode
ifeq ($(DEBUG),)
DBLATEX		:= dblatex
XMLROFF		:= xmlroff
DRAFTMODE	:= maybe
else
DBLATEX		:= dblatex --debug
XMLROFF		:= xmlroff --debug 1
DRAFTMODE	:= yes
endif
export DRAFTMODE
##############################################################################
# Basic phony targets
##############################################################################
.PHONY: all build build-indep
all: build

build: build-indep

build-indep:	$(foreach lng,$(LANGS), $(foreach fmt, $(filter-out html, $(FORMATS)), $(MANUAL).$(lng).$(fmt))) \
		$(foreach lng,$(LANGS), $(foreach fmt, $(filter     html, $(FORMATS)),     index.$(lng).html))

##############################################################################
# Utility phony targets
##############################################################################
.PHONY: dbk dbk-orig txt html pdf po pot
txt:	$(foreach lng,$(LANGS), $(MANUAL).$(lng).txt)
html:	$(foreach lng,$(LANGS), index.$(lng).html)
pdf:	$(foreach lng,$(LANGS), $(MANUAL).$(lng).pdf)
po:
	$(MAKE) $(foreach lng, $(LANGS_PO), $(PO4A)/$(MANUAL).$(lng).po) POMODE=update
pot:	$(PO4A)/$(MANUAL).pot
dbk:	$(foreach lng,$(LANGS_PO), $(MANUAL).$(lng).dbk)

##############################################################################
# Conditional branching variable
##############################################################################
# Conditional branching of build process is implimented by recursively calling
# this Makefile.  The first level executon of this Makefile calls $(MAKE) with
# the controlling variable $(LINGUA).  The second level executon of this
# Makefile uses $(LINGUA) as conditional branching.  Initial value of $(LINGUA)
# is "".
LINGUA		:=

##############################################################################
# Version file preparations
##############################################################################
# version from debian/changelog
ifeq ($(PUBLISHDIR),)
# if not for www-master (e.g., package building)
version.ent:
	echo "<!ENTITY docisodate \"$(shell LC_ALL=C date -u +'%F %T %Z')\">" > version.ent
	[ -r debian/changelog ] && \
	echo "<!ENTITY docversion \"$(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')\">" >> version.ent ||\
	echo "<!ENTITY docversion \"unknown version\">" >> version.ent
else
# if for www-master directly building from subversion source 
version.ent:
	echo "<!ENTITY docisodate \"$(shell LC_ALL=C date -u +'%F %T %Z')\">" > version.ent
	[ -r debian/changelog ] && \
	echo "<!ENTITY docversion \"$(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')-svn\">" >> version.ent ||\
	echo "<!ENTITY docversion \"unknown version\">" >> version.ent
endif
##############################################################################
# DocBook XML source file preparations
##############################################################################
$(MANUAL).en.dbk:
	# This is source
	@true

# Generate base localized DocBook XML files for all non-"en"
# This does not depend on $(PO4A)/$(MANUAL).%.po intentionally 
# to aviod automatic update of $(PO4A)/$(MANUAL).%.po.
$(MANUAL).%.dbk: $(MANUAL).en.dbk $(PO4A)/$(MANUAL).%.ent $(PO4A)/$(MANUAL).%.po
	po4a-translate --format docbook --keep $(THRESHOLD) --master-charset UTF-8 \
		--master $< --po $(PO4A)/$(MANUAL).$*.po --localized $@ ;\
	sed -i -e 's/$(PO4A)\/$(MANUAL)\.en\.ent/$(PO4A)\/$(MANUAL).$*.ent/' $@ ;\

##############################################################################
# DocBook PO source file preparations
##############################################################################
ifeq ($(POMODE),update)
# Always update localized PO files while making PO template(pot) as needed
# .PHONY as follows does not work nicely with %, thus FORCE is used here.
#.PHONY: $(foreach lng, $(LANGS_PO), $(PO4A)/$(MANUAL).$(lng).po)
$(PO4A)/$(MANUAL).%.po: FORCE
	$(MAKE) $(PO4A)/$(MANUAL).pot
	msgmerge --update --previous $@ $(PO4A)/$(MANUAL).pot
else

$(PO4A)/$(MANUAL).%.po: FORCE
	: # do nothing
endif

# Generate PO template(pot) file from English DocBook XML file
# make sure no location line for easier merge.
$(PO4A)/$(MANUAL).pot: $(MANUAL).en.dbk
	po4a-gettextize --format docbook --master-charset UTF-8 --master $< |\
	msgcat --no-location - > $@

##############################################################################
# Plain text building
##############################################################################
# Generate formatted output in single page plain text
# txt.xsl provide work around for hidden URL links by appending them explicitly.
$(MANUAL).%.txt: $(MANUAL).%.dbk $(COMMON_ENT)
	[ -e version.ent ] || $(MAKE) version.ent
	@test -n "`which w3m`"  || { echo "E: w3m not found. Please install the w3m package." ; false ;  }
	$(XP) $(XSLT)/txt.xsl $< |\
		w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@

##############################################################################
# HTML text building
##############################################################################
# Generate formatted output in multi-page html text
index.%.html: $(MANUAL).%.dbk $(COMMON_ENT)
	[ -e version.ent ] || $(MAKE) version.ent
	$(XP) --stringparam draft.mode $(DRAFTMODE) \
		--stringparam root.filename index \
                --stringparam html.ext .$*.html \
                --stringparam html.stylesheet $(MANUAL).css \
		$(XSLT)/html.xsl $<

##############################################################################
# PDF building (conditional)
##############################################################################

ifeq ($(LINGUA),)
# if $(LINGUA) is "" (unset == inital call)

$(MANUAL).%.pdf: $(MANUAL).%.dbk $(COMMON_ENT)
	[ -e version.ent ] || $(MAKE) version.ent
	# This calls itself while setting LINGUA (conditional trick) for $@
	make "LINGUA=$*" $@

else ifeq ($(filter-out $(LANGS_NOPDF),$(LINGUA)),)
# if $(LINGUA) belongs to $(LANGS_NOPDF)

$(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
	echo "PDF building for $(LINGUA) currently disabled." > $@

else ifeq ($(filter-out $(LANGS_XMLROFF_CAIRO),$(LINGUA)),)
# if $(LINGUA) belongs to $(LANGS_XMLROFF_CAIRO)

# xmlroff.xsl provide work around for footnote which xmlroff does not provide support
$(MANUAL).$(LINGUA).fo: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
	$(XP) $(XSLT)/xmlroff.xsl $<  | \
	$(XP) --output $@ $(XSLT)/fo.xsl -

$(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).fo
	@test -n "`which $(XMLROFF)`"  || { echo "E: xmlroff not found. Please install the xmlroff package." ; false ;  }
	$(XMLROFF) --backend cairo --out-file=$@ $<
	
else ifeq ($(filter-out $(LANGS_XMLROFF_GP),$(LINGUA)),)
# if $(LINGUA) belongs to $(LANGS_XMLROFF_GP)

# xmlroff.xsl provide work around for footnote which xmlroff does not provide support
$(MANUAL).$(LINGUA).fo: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
	$(XP) $(XSLT)/xmlroff.xsl $<  | \
	$(XP) --output $@ $(XSLT)/fo.xsl -

# GnomePrint backend is deprecated 
$(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).fo
	@test -n "`which $(XMLROFF)`"  || { echo "E: xmlroff not found. Please install the xmlroff package." ; false ;  }
	$(XMLROFF) --backend gp --out-file=$@ $<

else
# if $(LINGUA) belongs to $(LANGS_DBLATEX) (default)

$(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
	@test -n "`which $(DBLATEX)`"  || { echo "E: dblatex not found. Please install the dblatex package." ; false ;  }
	export TEXINPUTS=".:"; \
	$(XP) $(XSLT)/dblatex.xsl $<  | \
	$(DBLATEX) --style=db2latex \
		--xsl-user=$(XSLT)/hyphenation.xsl \
		--param=draft.mode=$(DRAFTMODE) \
		--param=format=a4 \
		--param=glossterm.auto.link=1 \
		--param=latex.encoding=utf8 \
		--param=latex.unicode.use=1 \
		--param=lingua=$(LINGUA) \
		--param=monoseq.hyphenation=nohyphen \
		--output=$@ -

endif

##############################################################################
# This rule controls the build and installation on the website
# Logs are here: http://www-master.debian.org/build-logs/ddp/
# For web page building (publish)
# this can and will be overriden by a higher level makefile
##############################################################################
.PHONY: publish
publish:
	# next lines are for transition
	# cleaning old files (This is transitional)
	#-rm -rf bin
	#-ls -la $(MANUALDIR)
	#-$(MAKE) clean
	#-ls -la $(MANUALDIR)
	# real publish target
	-rm -f version.ent
	$(MAKE) version.ent
	$(MAKE) html txt pdf
	[ -d $(IMAGESDIR) ] || $(install_dir) $(IMAGESDIR)
	$(install_file) *.html		$(MANUALDIR)
	$(install_file) $(MANUAL).*.txt $(MANUALDIR)
	$(install_file) $(MANUAL).*.pdf $(MANUALDIR)

=== debian/changelog ===
maint-guide (1.2.26) unstable; urgency=low

  * Converted to DocBook XML format. Closes: #609679
  * Organized all URL references into common.ent. 
  * Complete English style checks and corrections by Justin B Rye.
  * Fixed issues caused by debiandoc-sgml bugs #624099 and #624097 manually.
    Closes: #621817, #623116
  * Converted document to use dquilt to keep quilt default untouched.
  * Rewrote and reorganized entire document with inputs from the BTS reports,
    Justin B Rye, David Prévot, Serafeim Zanikolas, and others.  Chapter 1 had
    major addition of "Social dynamics of Debian" with pointers to Stefano
    Zacchiroli's PDF slides.  Chapter 2 was reorganized with new detailed
    explanation on "Package name and version" and clear mention of non-native
    and native packages.  Chapter 3 added DEP-3 for "Fixing upstream bugs".
    Chapter 4 added DEP-5 for "copyright".  Chapter 5 fixed LSB for
    "package.init and package.default" and added "source/options".  Chapter 7
    added "Suspicious changes".  Contents relating to "Including orig.tar.gz for
    upload" were moved from Chapter 6 to Chapter 8 and reorganized.
    Closes: #609607, #609937, #610362, #611769, #618352
  * Updated Japanese and French translation to be 100% current.
  * Build packages only for good translations: en fr ja

 -- Osamu Aoki <osamu@debian.org>  Thu, 05 May 2011 16:47:13 +0900

=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: xsltproc,
 docbook-xsl, 
 docbook-xml,
 po4a,
 w3m,
 dblatex,
 ghostscript | gs-esp | gs, 
 texlive-lang-german,
 texlive-lang-spanish,
 texlive-lang-french,
 texlive-lang-italian,
 texlive-lang-cyrillic,
 latex-cjk-all,
 lmodern,
 otf-ipafont-gothic,
 xmlroff
Standards-Version: 3.9.2
Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/maint-guide
Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/maint-guide/

Package: maint-guide
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package

Package: maint-guide-fr
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide in French
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is French translation.

Package: maint-guide-ja
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide in Japanese
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Japanese translation.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MANUAL		:= maint-guide

# Language which is the base of all files
LANGS_EN	:= en

# Languages which generate DocBook XML files from PO files
#LANGS_PO	:= ca de es fr it ja zh-cn zh-tw
LANGS_PO	:= fr ja

# Language groups
LANGS		:= $(LANGS_EN) $(LANGS_PO)

%:
	dh  $@

# For package building (all)
DEBIAN_DIR	:= $(CURDIR)/debian
override_dh_auto_build:
	dh_auto_build -- html txt pdf "MANUAL=$(MANUAL)" "LANGS_EN=$(LANGS_EN)" "LANGS_PO=$(LANGS_PO)" "LANGS=$(LANGS)"
	for lang in $(LANGS); do sed -e "s/@@/$$lang/g" < $(DEBIAN_DIR)/all.install-in > $(DEBIAN_DIR)/$(MANUAL)-$$lang.install; done

override_dh_auto_clean:
	dh_auto_clean
	for lang in $(LANGS); do rm -f $(DEBIAN_DIR)/$(MANUAL)-$$lang.install; done

.PHONY: control
control:
	cat $(DEBIAN_DIR)/control-in-head >$(DEBIAN_DIR)/control
	for x in $(LANGS_PO); \
		do sed -e "s/@@@LNG@@@/$$x/g" -e "s/@@@LNGNAME@@@/$$($(DEBIAN_DIR)/language $$x)/g" \
		<$(DEBIAN_DIR)/control-in-body >> $(DEBIAN_DIR)/control; \
	done

## maint-guide 1.2.27

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 # basic:		xsltproc, docbook-xsl (These are dependency of dblatex)
 # i18n:			po4a
 # plain text conv.:	w3m
-# pdf via latex:	dblatex, ghostscript, lmodern, latex-cjk-all, texlive-lang-*
-# pdf via xmlroff:	xmlroff, (ttf-font-packages)
+# pdf via pdflatex:	dblatex, ghostscript, lmodern, texlive-lang-*
+# pdf via xelatex:	texlive-xelatex, (ttf-font-packages)
 
 ##############################################################################
 # Package specific customization
@@ -45,7 +45,7 @@
 # CSS (Cascading Style Sheets) file
 CSS		:= $(MANUAL).css
 # Image files
-IMAGES		:= caution.png home.gif important.png next.gif note.png prev.gif tip.png up.gif warning.png draft.png 
+IMAGES		:= caution.png home.gif important.png next.gif note.png prev.gif tip.png up.gif warning.png draft.png
 IMAGESSRC	:= /usr/share/xml/docbook/stylesheet/nwalsh/images
 IMAGESDIR	:= $(MANUALDIR)/images
 
@@ -53,6 +53,11 @@
 install_file	:= install -p -m 664
 install_dir	:= install -d -m 2775
 
+# Change $(DRAFTMODE) from "yes" to "maybe" when this $(MANUAL) should go into
+# production mode
+#DRAFTMODE      := yes
+DRAFTMODE       := maybe
+export DRAFTMODE
 ##############################################################################
 # PO update
 ##############################################################################
@@ -66,15 +71,12 @@
 # The curent customization follows the release-notes package.
 #
 # No PDF build for these lunguages
-LANGS_NOPDF		:= 
-# PDF build using xmloff with cairo backend for these lunguages 
-# This does not create output as good as one created via default dblatex
-# but this can build CJK documents without build failures.
-#	candidates: be pl zh-cn zh-tw
-LANGS_XMLROFF_CAIRO	:= ja zh-cn zh-tw
-# PDF build using xmloff with gp backend for these lunguages (deprecated)
-#	candidates: ja ml vi
-LANGS_XMLROFF_GP	:=
+#LANGS_NOPDF		:= 
+LANGS_NOPDF		:= ja zh-cn zh-tw
+# PDF build using xelatex backend for these lunguages 
+#	candidates: all non-latin1 languages
+#LANGS_XETEX		:= ja zh-cn zh-tw
+LANGS_XETEX		:= 
 # languages with pdf using fop package (not implimented)
 
 ##############################################################################
@@ -85,14 +87,9 @@
 # Set $(DEBUG) to activate debug mode
 ifeq ($(DEBUG),)
 DBLATEX		:= dblatex
-XMLROFF		:= xmlroff
-DRAFTMODE	:= maybe
-else
-DBLATEX		:= dblatex --debug
-XMLROFF		:= xmlroff --debug 1
-DRAFTMODE	:= yes
-endif
-export DRAFTMODE
+else
+DBLATEX		:= dblatex --verbose --dump --debug
+endif
 ##############################################################################
 # Basic phony targets
 ##############################################################################
@@ -217,53 +214,71 @@
 	# This calls itself while setting LINGUA (conditional trick) for $@
 	make "LINGUA=$*" $@
 
+$(MANUAL).%.tex: $(MANUAL).%.dbk $(COMMON_ENT)
+	[ -e version.ent ] || $(MAKE) version.ent
+	# This calls itself while setting LINGUA (conditional trick) for $@
+	make "LINGUA=$*" $@
+
 else ifeq ($(filter-out $(LANGS_NOPDF),$(LINGUA)),)
 # if $(LINGUA) belongs to $(LANGS_NOPDF)
 
 $(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
 	echo "PDF building for $(LINGUA) currently disabled." > $@
 
-else ifeq ($(filter-out $(LANGS_XMLROFF_CAIRO),$(LINGUA)),)
-# if $(LINGUA) belongs to $(LANGS_XMLROFF_CAIRO)
-
-# xmlroff.xsl provide work around for footnote which xmlroff does not provide support
-$(MANUAL).$(LINGUA).fo: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
-	$(XP) $(XSLT)/xmlroff.xsl $<  | \
-	$(XP) --output $@ $(XSLT)/fo.xsl -
-
-$(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).fo
-	@test -n "`which $(XMLROFF)`"  || { echo "E: xmlroff not found. Please install the xmlroff package." ; false ;  }
-	$(XMLROFF) --backend cairo --out-file=$@ $<
-	
-else ifeq ($(filter-out $(LANGS_XMLROFF_GP),$(LINGUA)),)
-# if $(LINGUA) belongs to $(LANGS_XMLROFF_GP)
-
-# xmlroff.xsl provide work around for footnote which xmlroff does not provide support
-$(MANUAL).$(LINGUA).fo: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
-	$(XP) $(XSLT)/xmlroff.xsl $<  | \
-	$(XP) --output $@ $(XSLT)/fo.xsl -
-
-# GnomePrint backend is deprecated 
-$(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).fo
-	@test -n "`which $(XMLROFF)`"  || { echo "E: xmlroff not found. Please install the xmlroff package." ; false ;  }
-	$(XMLROFF) --backend gp --out-file=$@ $<
+else ifeq ($(filter-out $(LANGS_XETEX),$(LINGUA)),)
+# if $(LINGUA) belongs to $(LANGS_XETEX)
+# build with xelatex backend
+
+$(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
+	@test -n "`which $(DBLATEX)`"  || { echo "E: dblatex not found. Please install the dblatex package." ; false ;  }
+	export TEXINPUTS=".:"; \
+	$(XP) $(XSLT)/dblatex.xsl $<  | \
+	$(DBLATEX) --style=db2latex \
+		--backend=xetex \
+		--xsl-user=$(XSLT)/user_param.xsl \
+		--xsl-user=$(XSLT)/xetex_param.xsl \
+		--param=draft.mode=$(DRAFTMODE) \
+		--param=lingua=$(LINGUA) \
+		--output=$@ -
+
+$(MANUAL).$(LINGUA).tex: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
+	@test -n "`which $(DBLATEX)`"  || { echo "E: dblatex not found. Please install the dblatex package." ; false ;  }
+	export TEXINPUTS=".:"; \
+	$(XP) $(XSLT)/dblatex.xsl $<  | \
+	$(DBLATEX) --style=db2latex \
+		--type=tex \
+		--backend=xetex \
+		--xsl-user=$(XSLT)/user_param.xsl \
+		--xsl-user=$(XSLT)/xetex_param.xsl \
+		--param=draft.mode=$(DRAFTMODE) \
+		--param=lingua=$(LINGUA) \
+		--output=$@ -
 
 else
 # if $(LINGUA) belongs to $(LANGS_DBLATEX) (default)
+# build with pdflatex backend
 
 $(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
 	@test -n "`which $(DBLATEX)`"  || { echo "E: dblatex not found. Please install the dblatex package." ; false ;  }
 	export TEXINPUTS=".:"; \
 	$(XP) $(XSLT)/dblatex.xsl $<  | \
 	$(DBLATEX) --style=db2latex \
-		--xsl-user=$(XSLT)/hyphenation.xsl \
-		--param=draft.mode=$(DRAFTMODE) \
-		--param=format=a4 \
-		--param=glossterm.auto.link=1 \
-		--param=latex.encoding=utf8 \
-		--param=latex.unicode.use=1 \
-		--param=lingua=$(LINGUA) \
-		--param=monoseq.hyphenation=nohyphen \
+		--backend=pdftex \
+		--xsl-user=$(XSLT)/user_param.xsl \
+		--param=draft.mode=$(DRAFTMODE) \
+		--param=lingua=$(LINGUA) \
+		--output=$@ -
+
+$(MANUAL).$(LINGUA).tex: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
+	@test -n "`which $(DBLATEX)`"  || { echo "E: dblatex not found. Please install the dblatex package." ; false ;  }
+	export TEXINPUTS=".:"; \
+	$(XP) $(XSLT)/dblatex.xsl $<  | \
+	$(DBLATEX) --style=db2latex \
+		--type=tex \
+		--backend=pdftex \
+		--xsl-user=$(XSLT)/user_param.xsl \
+		--param=draft.mode=$(DRAFTMODE) \
+		--param=lingua=$(LINGUA) \
 		--output=$@ -
 
 endif
@@ -281,12 +296,3 @@
 	#-rm -rf bin
 	#-ls -la $(MANUALDIR)
 	#-$(MAKE) clean
-	#-ls -la $(MANUALDIR)
-	# real publish target
-	-rm -f version.ent
-	$(MAKE) version.ent
-	$(MAKE) html txt pdf
-	[ -d $(IMAGESDIR) ] || $(install_dir) $(IMAGESDIR)
-	$(install_file) *.html		$(MANUALDIR)
-	$(install_file) $(MANUAL).*.txt $(MANUALDIR)
-	$(install_file) $(MANUAL).*.pdf $(MANUALDIR)

=== debian/changelog ===
maint-guide (1.2.27) unstable; urgency=low

  * Fixed dh command argument order. Closes: #625735
  * Fixed alias for dquilt. Closes: #626565
  * Updated Catalan and Spanish translations. Closes: #628330, #628331
  * Updated build script and package dependencies to build all PDF using XeTeX
    backend. Now ' and ` in <screen> are correct. Closes: #627466, #629258
  * Build packages for all good translations: ca es en fr ja

 -- Osamu Aoki <osamu@debian.org>  Sun, 05 Jun 2011 21:06:27 +0900

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,28 @@
 Maintainer: Osamu Aoki <osamu@debian.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
-Build-Depends-Indep: xsltproc,
+Build-Depends-Indep: 
+ dblatex,
+ docbook-xml,
  docbook-xsl, 
- docbook-xml,
+ ghostscript, 
+ gsfonts,
+ lmodern,
+ latex-cjk-xcjk,
+ otf-ipafont-mincho,
+ otf-ipafont-gothic,
  po4a,
- w3m,
- dblatex,
- ghostscript | gs-esp | gs, 
  texlive-lang-german,
  texlive-lang-spanish,
  texlive-lang-french,
  texlive-lang-italian,
  texlive-lang-cyrillic,
- latex-cjk-all,
- lmodern,
- otf-ipafont-gothic,
- xmlroff
+ texlive-xetex,
+ ttf-arphic-gbsn00lp,
+ ttf-arphic-bsmi00lp,
+ ttf-wqy-zenhei,
+ w3m,
+ xsltproc
 Standards-Version: 3.9.2
 Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
 Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/maint-guide
@@ -49,6 +55,7 @@
 
 Package: maint-guide-fr
 Architecture: all
+Priority: extra
 Depends: ${misc:Depends}
 Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
 Description: Debian New Maintainers' Guide
@@ -73,6 +80,7 @@
 
 Package: maint-guide-ja
 Architecture: all
+Priority: extra
 Depends: ${misc:Depends}
 Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
 Description: Debian New Maintainers' Guide
@@ -95,3 +103,53 @@
  .
  This is Japanese translation.
 
+Package: maint-guide-ca
+Architecture: all
+Priority: extra
+Depends: ${misc:Depends}
+Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
+Description: Debian New Maintainers' Guide
+ This package contains the Debian New Maintainers' Guide in Catalan
+ .
+ This document tries to describe the building of a Debian package to ordinary
+ Debian users and prospective developers. It uses fairly non-technical
+ language, and it's well covered with working examples.
+ .
+ The document contains these chapters:
+     * 1 Getting started The Right Way
+     * 2 First steps
+     * 3 Modifying the source
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
+ .
+ This is Catalan translation.
+
+Package: maint-guide-es
+Architecture: all
+Priority: extra
+Depends: ${misc:Depends}
+Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
+Description: Debian New Maintainers' Guide
+ This package contains the Debian New Maintainers' Guide in Spanish
+ .
+ This document tries to describe the building of a Debian package to ordinary
+ Debian users and prospective developers. It uses fairly non-technical
+ language, and it's well covered with working examples.
+ .
+ The document contains these chapters:
+     * 1 Getting started The Right Way
+     * 2 First steps
+     * 3 Modifying the source
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
+ .
+ This is Spanish translation.
+

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MANUAL		:= maint-guide

# Language which is the base of all files
LANGS_EN	:= en

# Languages which generate DocBook XML files from PO files
#LANGS_PO	:= ca de es fr it ja zh-cn zh-tw
LANGS_PO	:= ca es fr ja

# Override main Makefile to build CJK under sid
# No PDF build for these lunguages
LANGS_NOPDF            :=  
# PDF build using xelatex backend for these lunguages 
#       candidates: all non-latin1 languages
LANGS_XETEX            := ca de es en fr it ja zh-cn zh-tw

# Language groups
LANGS		:= $(LANGS_EN) $(LANGS_PO)

%:
	dh  $@

# For package building (all)
DEBIAN_DIR	:= $(CURDIR)/debian
override_dh_auto_build:
	dh_auto_build -- html txt pdf "MANUAL=$(MANUAL)" \
		"LANGS_EN=$(LANGS_EN)" "LANGS_PO=$(LANGS_PO)" "LANGS=$(LANGS)" \
		"LANGS_NOPDF=$(LANGS_NOPDF)" "LANGS_XETEX=$(LANGS_XETEX)"
	for lang in $(LANGS); do sed -e "s/@@/$$lang/g" < $(DEBIAN_DIR)/all.install-in > $(DEBIAN_DIR)/$(MANUAL)-$$lang.install; done

override_dh_auto_clean:
	dh_auto_clean
	for lang in $(LANGS); do rm -f $(DEBIAN_DIR)/$(MANUAL)-$$lang.install; done

.PHONY: control
# This is run only by maintainer to update control file manually
# You need to have moreutils installed
control:
	sed -e '/^Package: maint-guide-/,$$d' <$(DEBIAN_DIR)/control | sponge $(DEBIAN_DIR)/control
	for x in $(LANGS_PO); \
		do sed -e "s/@@@LNG@@@/$$x/g" -e "s/@@@LNGNAME@@@/$$($(DEBIAN_DIR)/language $$x)/g" \
		<$(DEBIAN_DIR)/control-in-body >> $(DEBIAN_DIR)/control; \
	done

## maint-guide 1.2.28

=== Makefile ===
--- 
+++ 
@@ -20,10 +20,26 @@
 COMMON_ENT	:= common.ent
 # format to be built
 FORMATS		:= html txt pdf
+##############################################################################
+# PDF build tool customization for each lunguage
+##############################################################################
 # languages supported by direct DocBook files (always: en)
 LANGS_EN	:= en
 # languages supported by translation PO files
-LANGS_PO	:= ca de es fr it ja zh-cn zh-tw
+LANGS_PO	:= ca es fr it ja ru de zh-cn zh-tw
+# ca: 99%
+# de: 24%
+# es: 97%
+# fr: 100%
+# it: 100%
+# ja: 100%
+# ru: 100%
+# zh-cn: 33%
+# zh-tw:28%
+# 
+# dblatex is used as the default PDF build tool
+# No PDF build for these lunguages (in case of error, use this as work around)
+LANGS_NOPDF		:=  
 # all languages to build
 LANGS		:= $(LANGS_EN) $(LANGS_PO)
 # local script file directory
@@ -65,21 +81,6 @@
 POMODE	:= static
 
 ##############################################################################
-# PDF build tool customization for each lunguage
-##############################################################################
-# dblatex is used as the default PDF build tool
-# The curent customization follows the release-notes package.
-#
-# No PDF build for these lunguages
-#LANGS_NOPDF		:= 
-LANGS_NOPDF		:= ja zh-cn zh-tw
-# PDF build using xelatex backend for these lunguages 
-#	candidates: all non-latin1 languages
-#LANGS_XETEX		:= ja zh-cn zh-tw
-LANGS_XETEX		:= 
-# languages with pdf using fop package (not implimented)
-
-##############################################################################
 # build tool customization for debug etc.
 ##############################################################################
 XP		:= xsltproc --nonet --novalid --xinclude
@@ -225,8 +226,7 @@
 $(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
 	echo "PDF building for $(LINGUA) currently disabled." > $@
 
-else ifeq ($(filter-out $(LANGS_XETEX),$(LINGUA)),)
-# if $(LINGUA) belongs to $(LANGS_XETEX)
+else
 # build with xelatex backend
 
 $(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
@@ -254,33 +254,6 @@
 		--param=lingua=$(LINGUA) \
 		--output=$@ -
 
-else
-# if $(LINGUA) belongs to $(LANGS_DBLATEX) (default)
-# build with pdflatex backend
-
-$(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
-	@test -n "`which $(DBLATEX)`"  || { echo "E: dblatex not found. Please install the dblatex package." ; false ;  }
-	export TEXINPUTS=".:"; \
-	$(XP) $(XSLT)/dblatex.xsl $<  | \
-	$(DBLATEX) --style=db2latex \
-		--backend=pdftex \
-		--xsl-user=$(XSLT)/user_param.xsl \
-		--param=draft.mode=$(DRAFTMODE) \
-		--param=lingua=$(LINGUA) \
-		--output=$@ -
-
-$(MANUAL).$(LINGUA).tex: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
-	@test -n "`which $(DBLATEX)`"  || { echo "E: dblatex not found. Please install the dblatex package." ; false ;  }
-	export TEXINPUTS=".:"; \
-	$(XP) $(XSLT)/dblatex.xsl $<  | \
-	$(DBLATEX) --style=db2latex \
-		--type=tex \
-		--backend=pdftex \
-		--xsl-user=$(XSLT)/user_param.xsl \
-		--param=draft.mode=$(DRAFTMODE) \
-		--param=lingua=$(LINGUA) \
-		--output=$@ -
-
 endif
 
 ##############################################################################
@@ -296,3 +269,32 @@
 	#-rm -rf bin
 	#-ls -la $(MANUALDIR)
 	#-$(MAKE) clean
+	#-ls -la $(MANUALDIR)
+	# real publish target
+	-rm -f version.ent
+	$(MAKE) version.ent
+	$(MAKE) html txt pdf
+	[ -d $(IMAGESDIR) ] || $(install_dir) $(IMAGESDIR)
+	$(install_file) *.html		$(MANUALDIR)
+	$(install_file) $(MANUAL).*.txt $(MANUALDIR)
+	$(install_file) $(MANUAL).*.pdf $(MANUALDIR)
+	$(install_file) $(CSS) 		$(MANUALDIR)
+	echo "AddCharset UTF-8 .txt" > $(MANUALDIR)/.htaccess
+	$(install_file) $(addprefix $(IMAGESSRC)/, $(IMAGES)) $(IMAGESDIR)
+	# sanity check
+	#-ls -lRa $(MANUALDIR)
+
+##############################################################################
+# Special utility targets used only by the maintainer
+##############################################################################
+.PHONY:	tw
+# Translate from zh-cn to zh-tw (semi-automatic)
+tw:
+	msgcat --no-wrap $(PO4A)/$(MANUAL).zh-cn.po | opencc | sed -f $(BIN)/cn2tw.sed | msgcat - > $(PO4A)/$(MANUAL).zh-tw.po
+
+# phony targets for PO maintainances
+.PHONY:  tidypo
+tidypo:
+	for f in $(LANGS_PO); do msgcat --no-location $(PO4A)/$(MANUAL).$$f.po | sponge $(PO4A)/$(MANUAL).$$f.po ; done
+	msgcat --no-location $(PO4A)/$(MANUAL).pot | sponge $(PO4A)/$(MANUAL).pot
+

=== debian/changelog ===
maint-guide (1.2.28) unstable; urgency=low

  * Lintian touch up 
  * Promoted new dh_python2 while deprecating older python-support and
    python-central. Closes: #633112
  * Substituted New Maintainer site with New Member site.  Thanks
    Salvatore Bonaccorso. Closes: #648834
  * Updated URL for packaging-tutorial. Closes: #652635
  * Removed all URL references with file:///... . Closes: #646283
  * Fixed pbuilder hook script bugs caused by the XML conversion
    of the old buggy debiandoc-sgml. Closes: #637928, #642599
  * Add Russian.  Thanks Yuri Kozlov. Closes: #646330
  * Build: en ca es fr it ja ru

 -- Osamu Aoki <osamu@debian.org>  Fri, 17 Feb 2012 01:15:39 +0900

=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: 
 dblatex,
 docbook-xml,
 docbook-xsl, 
 po4a,
 texlive-xetex,
 texlive-lang-spanish,
 texlive-lang-french,
 texlive-lang-italian,
 texlive-lang-cyrillic,
 lmodern,
 gsfonts,
 fonts-ipafont,
 w3m,
 ghostscript, 
 xsltproc
# otf-ipafont-mincho,
# otf-ipafont-gothic,
# texlive-lang-german,
# ttf-arphic-gbsn00lp,
# ttf-arphic-bsmi00lp,
# ttf-wqy-zenhei,
Standards-Version: 3.9.2
Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/maint-guide
Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/maint-guide/

Package: maint-guide
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package

Package: maint-guide-ca
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (Catalan)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Catalan translation.

Package: maint-guide-es
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (Spanish)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Spanish translation.

Package: maint-guide-fr
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (French)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is French translation.

Package: maint-guide-it
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (Italian)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Italian translation.

Package: maint-guide-ja
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (Japanese)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Japanese translation.

Package: maint-guide-ru
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (ru)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is ru translation.

## maint-guide 1.2.29

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # languages supported by direct DocBook files (always: en)
 LANGS_EN	:= en
 # languages supported by translation PO files
-LANGS_PO	:= ca es fr it ja ru de zh-cn zh-tw
+LANGS_PO	:= ca de es fr it ja ru de zh-cn zh-tw
 # ca: 99%
 # de: 24%
 # es: 97%
@@ -39,7 +39,7 @@
 # 
 # dblatex is used as the default PDF build tool
 # No PDF build for these lunguages (in case of error, use this as work around)
-LANGS_NOPDF		:=  
+LANGS_NOPDF		:= 
 # all languages to build
 LANGS		:= $(LANGS_EN) $(LANGS_PO)
 # local script file directory
@@ -110,6 +110,7 @@
 html:	$(foreach lng,$(LANGS), index.$(lng).html)
 pdf:	$(foreach lng,$(LANGS), $(MANUAL).$(lng).pdf)
 po:
+	touch $(MANUAL).en.dbk
 	$(MAKE) $(foreach lng, $(LANGS_PO), $(PO4A)/$(MANUAL).$(lng).po) POMODE=update
 pot:	$(PO4A)/$(MANUAL).pot
 dbk:	$(foreach lng,$(LANGS_PO), $(MANUAL).$(lng).dbk)
@@ -265,11 +266,7 @@
 .PHONY: publish
 publish:
 	# next lines are for transition
-	# cleaning old files (This is transitional)
-	#-rm -rf bin
-	#-ls -la $(MANUALDIR)
-	#-$(MAKE) clean
-	#-ls -la $(MANUALDIR)
+	-$(MAKE) clean
 	# real publish target
 	-rm -f version.ent
 	$(MAKE) version.ent
@@ -281,8 +278,6 @@
 	$(install_file) $(CSS) 		$(MANUALDIR)
 	echo "AddCharset UTF-8 .txt" > $(MANUALDIR)/.htaccess
 	$(install_file) $(addprefix $(IMAGESSRC)/, $(IMAGES)) $(IMAGESDIR)
-	# sanity check
-	#-ls -lRa $(MANUALDIR)
 
 ##############################################################################
 # Special utility targets used only by the maintainer
@@ -298,3 +293,4 @@
 	for f in $(LANGS_PO); do msgcat --no-location $(PO4A)/$(MANUAL).$$f.po | sponge $(PO4A)/$(MANUAL).$$f.po ; done
 	msgcat --no-location $(PO4A)/$(MANUAL).pot | sponge $(PO4A)/$(MANUAL).pot
 
+##############################################################################

=== debian/changelog ===
maint-guide (1.2.29) unstable; urgency=low

  * Add tipa to build-dep and use xCJK package only for CJK PDF 
    documents.  Closes: #666569
  * Updated policy to 3.9.3
  * Fixed manpage section for dh_make. Closes: #663087
  * Fixed typo. Closes: #658631

 -- Osamu Aoki <osamu@debian.org>  Sun, 15 Apr 2012 17:40:47 +0900

## maint-guide 1.2.30

=== debian/changelog ===
maint-guide (1.2.30) unstable; urgency=low

  [ David Prévot ]
  * Use UTF-8 locale to prepare the text version. See: #658839

  [ Osamu Aoki ]
  * Fixed typo for foo_newversion.orig.tar.gz.  Closes: #688072 

 -- Osamu Aoki <osamu@debian.org>  Fri, 21 Sep 2012 00:04:00 +0900
